﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace ELTE.BoardGame.View
{
    public partial class BoardGameWindow : Window
    {
        /// <summary>
        /// Táblakattintás eseménye.
        /// </summary>
        public event EventHandler<BoardEventArgs> BoardClicked;

        public BoardGameWindow()
        {
            this.InitializeComponent();
        }
        
        /// <summary>
        /// Tábla szélessége.
        /// </summary>
        public Int32 BoardWidth { get { return Convert.ToInt32(this.itemsControl.ActualWidth); } }

        /// <summary>
        /// Tábla magassága.
        /// </summary>
        public Int32 BoardHeight { get { return Convert.ToInt32(this.itemsControl.ActualHeight); } }

        /// <summary>
        /// Gombkattintás eseménye.
        /// </summary>
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            OnBoardClicked(Convert.ToInt32((sender as Button).Tag));
        }

        /// <summary>
        /// Táblakattintás eseménykiváltása.
        /// </summary>
        /// <param name="number">Sorszám.</param>
        protected void OnBoardClicked(Int32 number)
        {
            if (this.BoardClicked != null)
                this.BoardClicked(this, new BoardEventArgs { Number = number });
        }
    }
}
